#ifndef _PHYSICS_H
#define _PHYSICS_H

#include "PhysicsBase.h"

namespace Engine {
	class Model;
}

namespace asteroids {

class Physics : public Engine::PhysicsBase {
	public:
		virtual int Simulate (float msec, Engine::ModelBase* model = NULL);

		void SetWorldSize (float width, float height) {
			mWorldWidth = width;
			mWorldHeight = height;
		}

		float GetWorldWidth () { return mWorldWidth; }
		float GetWorldHeight () { return mWorldHeight; }

	protected:
		virtual int OnInit (int argc, char* argv[]);

	private:
		float mWorldWidth;
		float mWorldHeight;
};

}

#endif // _PHYSICS_H
